#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.5.1
visibility:           public
id:                   jose-0.8.5.1-4uxfvc9yBOkAIZHr0AxYb2
key:                  jose-0.8.5.1-4uxfvc9yBOkAIZHr0AxYb2
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption (JOSE)
    and JSON Web Token (JWT) library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported.

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  6d8f30ad35807d7f8184419cb114aa03
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-9.0.2/site-local/jose-0.8.5.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/jose-0.8.5.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-jose
hs-libraries:         HSjose-0.8.5.1-4uxfvc9yBOkAIZHr0AxYb2
depends:
    QuickCheck-2.14.2-6E1s0nkrQNJIUaQam68i9u
    aeson-1.5.6.0-ByG4maisB6W4LqbYiVYaDZ
    attoparsec-0.14.4-9zevo7QnectA1bRgJqQjSQ base-4.15.1.0
    base64-bytestring-1.2.1.0-KbN6G8Oab0JGXDIOSmHWBi
    bytestring-0.10.12.1 concise-0.1.0.1-5FxsZY0h4qKD7o45LsZfZg
    containers-0.6.4.1 cryptonite-0.30-8OdEhofkObgFFy7tZJxVxe
    lens-5.1.1-4M5zSd24oOB3ODyeRSY1iF
    memory-0.17.0-CJJwCTl3QuwCxlJovCa0Bf
    monad-time-0.3.1.0-Auqo3kWXvhcCT1bMDe8og5 mtl-2.2.2
    network-uri-2.6.4.1-Ho4NOFW97Fc8RbpaghE2uc
    quickcheck-instances-0.3.27-IzwbdeczOPXDO8Zmlc5UJ7
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q template-haskell-2.17.0.0
    text-1.2.5.0 time-1.9.3
    unordered-containers-0.2.19.1-Egpruffujfv1ZeuVmASDK2
    vector-0.12.3.1-6Jse5cnDdy2CJPq6wEcUm1
    x509-1.7.7-IB7Gsny0YBVAdrTx7IN2Sa

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

